Upsert API key
Stores or replaces an API key for the given provider. The key is stored encrypted and cannot be viewed or recovered after saving.
Stores or replaces an API key for the given provider. The key is stored encrypted and cannot be viewed or recovered after saving.
Authorization
bearerAuth AuthorizationBearer <token>
API key
In: header
Path Parameters
providerId*string
Provider identifier
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/api-keys/string" \ -H "Authorization: Bearer $SPEECHBASE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "keyValue": "string"}'{
"data": {
"providerId": "string",
"lastFour": "string",
"updatedAt": "string"
}
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string"
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string"
}